	.file	"move.cpp"
	.text
	.align 2
	.globl	_ZN3MOV10matrixLookEffffffffffffffff
	.type	_ZN3MOV10matrixLookEffffffffffffffff, @function
_ZN3MOV10matrixLookEffffffffffffffff:
.LFB3048:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movss	.LC0(%rip), %xmm0
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3048:
	.size	_ZN3MOV10matrixLookEffffffffffffffff, .-_ZN3MOV10matrixLookEffffffffffffffff
	.align 2
	.globl	_ZN3MOV10CameraLookEv
	.type	_ZN3MOV10CameraLookEv, @function
_ZN3MOV10CameraLookEv:
.LFB3049:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$336, %rsp
1:	call	mcount
	movl	$0, %eax
	movq	$0, -108(%rbp)
	movq	$0, -24(%rbp)
	leaq	-104(%rbp), %rdi
	movl	$11, %ecx
	rep stosq
	movss	.LC0(%rip), %xmm0
	movss	%xmm0, -16(%rbp)
	movss	v+32(%rip), %xmm1
	movss	%xmm1, -112(%rbp)
	movss	v+36(%rip), %xmm1
	movss	%xmm1, -88(%rbp)
	movss	v+40(%rip), %xmm1
	movss	%xmm1, -64(%rbp)
	movss	v+44(%rip), %xmm1
	movss	%xmm1, -40(%rbp)
	movq	$0, -220(%rbp)
	movq	$0, -136(%rbp)
	leaq	-216(%rbp), %rdi
	movl	$11, %ecx
	rep stosq
	movss	%xmm0, -128(%rbp)
	movss	v(%rip), %xmm1
	movss	%xmm1, -224(%rbp)
	movss	v+4(%rip), %xmm1
	movss	%xmm1, -200(%rbp)
	movss	v+8(%rip), %xmm1
	movss	%xmm1, -176(%rbp)
	movss	v+12(%rip), %xmm1
	movss	%xmm1, -152(%rbp)
	movq	$0, -332(%rbp)
	movq	$0, -248(%rbp)
	leaq	-328(%rbp), %rdi
	movl	$11, %ecx
	rep stosq
	movss	%xmm0, -240(%rbp)
	movss	v+16(%rip), %xmm0
	movss	%xmm0, -336(%rbp)
	movss	v+20(%rip), %xmm0
	movss	%xmm0, -312(%rbp)
	movss	v+24(%rip), %xmm0
	movss	%xmm0, -288(%rbp)
	movss	v+28(%rip), %xmm0
	movss	%xmm0, -264(%rbp)
	leaq	-112(%rbp), %rdi
	call	glLoadMatrixf
	leaq	-112(%rbp), %rdi
	call	glMultMatrixf
	leaq	-224(%rbp), %rdi
	call	glLoadMatrixf
	leaq	-224(%rbp), %rdi
	call	glMultMatrixf
	leaq	-336(%rbp), %rdi
	call	glLoadMatrixf
	leaq	-336(%rbp), %rdi
	call	glMultMatrixf
	call	glLoadIdentity
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glTranslatef
	movsd	.LC4(%rip), %xmm1
	subq	$8, %rsp
	pushq	$0
	movsd	.LC2(%rip), %xmm7
	pxor	%xmm6, %xmm6
	movsd	.LC3(%rip), %xmm5
	movapd	%xmm1, %xmm4
	movapd	%xmm6, %xmm3
	movsd	.LC5(%rip), %xmm2
	movapd	%xmm6, %xmm0
	call	gluLookAt
	addq	$16, %rsp
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3049:
	.size	_ZN3MOV10CameraLookEv, .-_ZN3MOV10CameraLookEv
	.align 2
	.globl	_ZN3MOV9PlaneViewEv
	.type	_ZN3MOV9PlaneViewEv, @function
_ZN3MOV9PlaneViewEv:
.LFB3050:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movss	roll1(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	movss	.LC0(%rip), %xmm3
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	call	glRotatef
	movss	yaw1(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	pxor	%xmm3, %xmm3
	movss	.LC0(%rip), %xmm2
	movaps	%xmm3, %xmm1
	call	glRotatef
	movss	pitch1(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	pxor	%xmm3, %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC0(%rip), %xmm1
	call	glRotatef
	movss	zPlane1(%rip), %xmm2
	xorps	.LC7(%rip), %xmm2
	movss	yPlane1(%rip), %xmm1
	xorps	.LC7(%rip), %xmm1
	movss	xPlane1(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	call	glTranslatef
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3050:
	.size	_ZN3MOV9PlaneViewEv, .-_ZN3MOV9PlaneViewEv
	.align 2
	.globl	_ZN3MOV10ScalePlaneEv
	.type	_ZN3MOV10ScalePlaneEv, @function
_ZN3MOV10ScalePlaneEv:
.LFB3051:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movss	.LC0(%rip), %xmm1
	addss	scaPlane(%rip), %xmm1
	movaps	%xmm1, %xmm2
	movaps	%xmm1, %xmm0
	call	glScalef
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3051:
	.size	_ZN3MOV10ScalePlaneEv, .-_ZN3MOV10ScalePlaneEv
	.align 2
	.globl	_ZN3MOV10TransPlaneEv
	.type	_ZN3MOV10TransPlaneEv, @function
_ZN3MOV10TransPlaneEv:
.LFB3052:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	pxor	%xmm2, %xmm2
	addss	viewZ(%rip), %xmm2
	addss	.LC8(%rip), %xmm2
	movss	.LC0(%rip), %xmm1
	movss	.LC9(%rip), %xmm0
	call	glTranslatef
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movss	.LC0(%rip), %xmm0
	call	glTranslatef
	pxor	%xmm2, %xmm2
	movss	.LC0(%rip), %xmm1
	movaps	%xmm2, %xmm0
	call	glTranslatef
	movss	.LC0(%rip), %xmm2
	pxor	%xmm1, %xmm1
	movaps	%xmm1, %xmm0
	call	glTranslatef
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3052:
	.size	_ZN3MOV10TransPlaneEv, .-_ZN3MOV10TransPlaneEv
	.align 2
	.globl	_ZN3MOV10motorSpeedEf
	.type	_ZN3MOV10motorSpeedEf, @function
_ZN3MOV10motorSpeedEf:
.LFB3053:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movaps	%xmm0, %xmm1
	mulss	.LC10(%rip), %xmm1
	addss	angle1(%rip), %xmm1
	movss	%xmm1, angle1(%rip)
	mulss	.LC11(%rip), %xmm0
	addss	angle2(%rip), %xmm0
	movss	%xmm0, angle2(%rip)
	comiss	.LC12(%rip), %xmm1
	jbe	.L7
	subss	.LC12(%rip), %xmm1
	movss	%xmm1, angle1(%rip)
.L7:
	comiss	.LC12(%rip), %xmm0
	jbe	.L6
	subss	.LC12(%rip), %xmm0
	movss	%xmm0, angle2(%rip)
.L6:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3053:
	.size	_ZN3MOV10motorSpeedEf, .-_ZN3MOV10motorSpeedEf
	.align 2
	.globl	_ZN3MOV9motorGridEf
	.type	_ZN3MOV9motorGridEf, @function
_ZN3MOV9motorGridEf:
.LFB3054:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$mov6, %edi
	call	_ZN3MOV10motorSpeedEf
	cmpb	$0, code02(%rip)
	je	.L14
	movss	.LC13(%rip), %xmm1
	movaps	%xmm1, %xmm0
	addss	zylscale1(%rip), %xmm0
	movss	%xmm0, zylscale1(%rip)
	movss	zylscale2(%rip), %xmm0
	subss	%xmm1, %xmm0
.L15:
	movss	%xmm0, zylscale2(%rip)
	movss	zylscale1(%rip), %xmm0
	pxor	%xmm1, %xmm1
	comiss	%xmm1, %xmm0
	jb	.L22
	movb	$0, code02(%rip)
.L13:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L14:
	.cfi_restore_state
	movss	.LC13(%rip), %xmm0
	movss	zylscale1(%rip), %xmm1
	subss	%xmm0, %xmm1
	movss	%xmm1, zylscale1(%rip)
	addss	zylscale2(%rip), %xmm0
	jmp	.L15
.L22:
	movss	.LC14(%rip), %xmm1
	comiss	%xmm0, %xmm1
	jb	.L13
	movb	$1, code02(%rip)
	jmp	.L13
	.cfi_endproc
.LFE3054:
	.size	_ZN3MOV9motorGridEf, .-_ZN3MOV9motorGridEf
	.align 2
	.globl	_ZN3MOV5MotorEv
	.type	_ZN3MOV5MotorEv, @function
_ZN3MOV5MotorEv:
.LFB3055:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$mov6, %edi
	call	_ZN3MOV10CameraLookEv
	movl	$mov6, %edi
	call	_ZN3MOV10ScalePlaneEv
	movl	$mov6, %edi
	call	_ZN3MOV10TransPlaneEv
	movl	$2848, %edi
	call	glEnable
	movss	.LC15(%rip), %xmm0
	call	glLineWidth
	movss	.LC16(%rip), %xmm0
	call	glPointSize
	movl	$6914, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$7, %edi
	call	glBegin
	movss	.LC0(%rip), %xmm3
	movss	.LC17(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glColor4f
	movss	.LC18(%rip), %xmm2
	movss	.LC19(%rip), %xmm1
	movss	.LC20(%rip), %xmm0
	call	glVertex3f
	movss	.LC18(%rip), %xmm2
	movss	.LC19(%rip), %xmm1
	movss	.LC21(%rip), %xmm0
	call	glVertex3f
	movss	.LC22(%rip), %xmm2
	movss	.LC19(%rip), %xmm1
	movss	.LC21(%rip), %xmm0
	call	glVertex3f
	movss	.LC22(%rip), %xmm2
	movss	.LC19(%rip), %xmm1
	movss	.LC20(%rip), %xmm0
	call	glVertex3f
	call	glEnd
	movss	zylscale1(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	pxor	%xmm3, %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC17(%rip), %xmm1
	call	glRotatef
	movss	zylscale2(%rip), %xmm0
	xorps	.LC7(%rip), %xmm0
	pxor	%xmm3, %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC17(%rip), %xmm1
	call	glRotatef
	movl	$6912, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$0, %edi
	call	glBegin
	movss	.LC0(%rip), %xmm3
	movss	.LC23(%rip), %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glColor4f
	movss	.LC24(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC24(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC24(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	call	glEnd
	movl	$6914, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$4, %edi
	call	glBegin
	movss	.LC0(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movss	.LC29(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glColor4f
	movss	.LC24(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC24(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC24(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC27(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC23(%rip), %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC25(%rip), %xmm1
	subss	zylscale2(%rip), %xmm1
	pxor	%xmm0, %xmm0
	call	glVertex3f
	movss	.LC28(%rip), %xmm2
	movss	.LC20(%rip), %xmm1
	subss	zylscale1(%rip), %xmm1
	movss	.LC26(%rip), %xmm0
	call	glVertex3f
	movss	.LC0(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movaps	%xmm3, %xmm1
	movaps	%xmm3, %xmm0
	call	glColor4f
	call	glEnd
	movl	$2848, %edi
	call	glDisable
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3055:
	.size	_ZN3MOV5MotorEv, .-_ZN3MOV5MotorEv
	.align 2
	.globl	_ZN3MOV8TerminalEv
	.type	_ZN3MOV8TerminalEv, @function
_ZN3MOV8TerminalEv:
.LFB3056:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$mov6, %edi
	call	_ZN3MOV10CameraLookEv
	movl	$mov6, %edi
	call	_ZN3MOV10TransPlaneEv
	movss	.LC0(%rip), %xmm0
	call	glLineWidth
	movss	.LC30(%rip), %xmm0
	call	glPointSize
	movl	$6913, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$7, %edi
	call	glBegin
	movss	.LC0(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movaps	%xmm3, %xmm1
	movaps	%xmm3, %xmm0
	call	glColor4f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC31(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC32(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC31(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC15(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC15(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC32(%rip), %xmm0
	call	glVertex3f
	call	glEnd
	movl	$6914, %esi
	movl	$1032, %edi
	call	glPolygonMode
	movl	$7, %edi
	call	glBegin
	movss	.LC34(%rip), %xmm3
	movss	.LC35(%rip), %xmm2
	movss	.LC17(%rip), %xmm1
	movss	.LC36(%rip), %xmm0
	call	glColor4f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC32(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC15(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC31(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC15(%rip), %xmm0
	call	glVertex3f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC31(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	movss	.LC32(%rip), %xmm0
	call	glVertex3f
	movss	.LC0(%rip), %xmm3
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	movaps	%xmm2, %xmm0
	call	glColor4f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	cvtss2sd	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm1
	movq	.LC37(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC33(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	cvtss2sd	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm1
	movq	.LC4(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC38(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	cvtss2sd	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm1
	movq	.LC4(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	movss	.LC38(%rip), %xmm1
	addss	rootY(%rip), %xmm1
	cvtss2sd	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm1
	movq	.LC37(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	pxor	%xmm3, %xmm3
	subss	nightV(%rip), %xmm3
	movss	.LC17(%rip), %xmm2
	movss	.LC21(%rip), %xmm1
	movss	.LC39(%rip), %xmm0
	call	glColor4f
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	cvtss2sd	%xmm2, %xmm2
	movq	.LC40(%rip), %rax
	movq	%rax, %xmm1
	movq	.LC37(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	cvtss2sd	%xmm2, %xmm2
	movq	.LC40(%rip), %rax
	movq	%rax, %xmm1
	movq	.LC4(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	cvtss2sd	%xmm2, %xmm2
	movq	.LC41(%rip), %rax
	movq	%rax, %xmm1
	movq	.LC4(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC29(%rip), %xmm2
	subss	viewZ(%rip), %xmm2
	cvtss2sd	%xmm2, %xmm2
	movq	.LC41(%rip), %rax
	movq	%rax, %xmm1
	movq	.LC37(%rip), %rax
	movq	%rax, %xmm0
	call	glVertex3d
	movss	.LC0(%rip), %xmm3
	movaps	%xmm3, %xmm2
	movaps	%xmm3, %xmm1
	movaps	%xmm3, %xmm0
	call	glColor4f
	call	glEnd
	movl	$2929, %edi
	call	glDisable
	movl	$3042, %edi
	call	glDisable
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3056:
	.size	_ZN3MOV8TerminalEv, .-_ZN3MOV8TerminalEv
	.align 2
	.globl	_ZN3MOV14process_event2E7_XEvent
	.type	_ZN3MOV14process_event2E7_XEvent, @function
_ZN3MOV14process_event2E7_XEvent:
.LFB3057:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$0, %esi
	leaq	16(%rbp), %rdi
	call	XLookupKeysym
	cmpq	$122, %rax
	ja	.L26
	cmpq	$31, %rax
	jbe	.L25
	subq	$32, %rax
	cmpq	$90, %rax
	ja	.L25
	jmp	*.L29(,%rax,8)
	.section	.rodata
	.align 8
	.align 4
.L29:
	.quad	.L42
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L41
	.quad	.L40
	.quad	.L25
	.quad	.L39
	.quad	.L38
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L25
	.quad	.L37
	.quad	.L36
	.quad	.L25
	.quad	.L25
	.quad	.L35
	.quad	.L25
	.quad	.L34
	.quad	.L33
	.quad	.L25
	.quad	.L25
	.quad	.L32
	.quad	.L31
	.quad	.L30
	.quad	.L28
	.text
.L26:
	cmpq	$65363, %rax
	je	.L43
	jbe	.L51
	cmpq	$65480, %rax
	je	.L48
	cmpq	$65481, %rax
	jne	.L52
	movl	$0x00000000, scaPlane(%rip)
	jmp	.L25
.L51:
	cmpq	$65361, %rax
	je	.L45
	cmpq	$65362, %rax
	jne	.L53
	pxor	%xmm0, %xmm0
	cvtss2sd	pitch1(%rip), %xmm0
	addsd	.LC43(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, pitch1(%rip)
	jmp	.L25
.L53:
	cmpq	$65307, %rax
	jne	.L25
	movl	$wind6, %edi
	call	_ZN4WIND8closeWinEv
	jmp	.L25
.L52:
	cmpq	$65364, %rax
	jne	.L25
	pxor	%xmm0, %xmm0
	cvtss2sd	pitch1(%rip), %xmm0
	subsd	.LC43(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, pitch1(%rip)
	jmp	.L25
.L45:
	pxor	%xmm0, %xmm0
	cvtss2sd	roll1(%rip), %xmm0
	addsd	.LC42(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, roll1(%rip)
.L25:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L43:
	.cfi_restore_state
	pxor	%xmm0, %xmm0
	cvtss2sd	roll1(%rip), %xmm0
	subsd	.LC42(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, roll1(%rip)
	jmp	.L25
.L38:
	pxor	%xmm0, %xmm0
	cvtss2sd	yaw1(%rip), %xmm0
	addsd	.LC43(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, yaw1(%rip)
	jmp	.L25
.L35:
	pxor	%xmm0, %xmm0
	cvtss2sd	yaw1(%rip), %xmm0
	subsd	.LC43(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, yaw1(%rip)
	jmp	.L25
.L41:
	pxor	%xmm0, %xmm0
	cvtss2sd	xPlane1(%rip), %xmm0
	subsd	.LC44(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, xPlane1(%rip)
	jmp	.L25
.L39:
	pxor	%xmm0, %xmm0
	cvtss2sd	xPlane1(%rip), %xmm0
	addsd	.LC44(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, xPlane1(%rip)
	jmp	.L25
.L32:
	pxor	%xmm0, %xmm0
	cvtss2sd	yPlane1(%rip), %xmm0
	addsd	.LC45(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, yPlane1(%rip)
	jmp	.L25
.L34:
	pxor	%xmm0, %xmm0
	cvtss2sd	yPlane1(%rip), %xmm0
	subsd	.LC45(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, yPlane1(%rip)
	jmp	.L25
.L40:
	pxor	%xmm0, %xmm0
	cvtss2sd	zPlane1(%rip), %xmm0
	addsd	.LC44(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, zPlane1(%rip)
	jmp	.L25
.L42:
	pxor	%xmm0, %xmm0
	cvtss2sd	zPlane1(%rip), %xmm0
	subsd	.LC44(%rip), %xmm0
	cvtsd2ss	%xmm0, %xmm0
	movss	%xmm0, zPlane1(%rip)
	jmp	.L25
.L31:
	movl	$0x00000000, viewZ(%rip)
	jmp	.L25
.L30:
	movl	$0xbf0ccccd, viewZ(%rip)
	jmp	.L25
.L37:
	movl	$0x3ecccccd, nightV(%rip)
	jmp	.L25
.L36:
	movl	$0xbecccccd, nightV(%rip)
	jmp	.L25
.L33:
	movl	$0xc0b00000, rootY(%rip)
	jmp	.L25
.L28:
	movl	$0x40b00000, rootY(%rip)
	jmp	.L25
.L48:
	movl	$0xbdcccccd, scaPlane(%rip)
	jmp	.L25
	.cfi_endproc
.LFE3057:
	.size	_ZN3MOV14process_event2E7_XEvent, .-_ZN3MOV14process_event2E7_XEvent
	.type	_GLOBAL__sub_I_wind6, @function
_GLOBAL__sub_I_wind6:
.LFB3486:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3486:
	.size	_GLOBAL__sub_I_wind6, .-_GLOBAL__sub_I_wind6
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I_wind6
	.globl	v
	.bss
	.align 32
	.type	v, @object
	.size	v, 48
v:
	.zero	48
	.globl	scaPlane
	.align 4
	.type	scaPlane, @object
	.size	scaPlane, 4
scaPlane:
	.zero	4
	.globl	viewZ
	.align 4
	.type	viewZ, @object
	.size	viewZ, 4
viewZ:
	.zero	4
	.globl	nightV
	.align 4
	.type	nightV, @object
	.size	nightV, 4
nightV:
	.zero	4
	.globl	rootY
	.align 4
	.type	rootY, @object
	.size	rootY, 4
rootY:
	.zero	4
	.globl	zPlane1
	.align 4
	.type	zPlane1, @object
	.size	zPlane1, 4
zPlane1:
	.zero	4
	.globl	yPlane1
	.align 4
	.type	yPlane1, @object
	.size	yPlane1, 4
yPlane1:
	.zero	4
	.globl	xPlane1
	.align 4
	.type	xPlane1, @object
	.size	xPlane1, 4
xPlane1:
	.zero	4
	.globl	yaw1
	.align 4
	.type	yaw1, @object
	.size	yaw1, 4
yaw1:
	.zero	4
	.globl	pitch1
	.align 4
	.type	pitch1, @object
	.size	pitch1, 4
pitch1:
	.zero	4
	.globl	roll1
	.align 4
	.type	roll1, @object
	.size	roll1, 4
roll1:
	.zero	4
	.globl	angle2
	.align 4
	.type	angle2, @object
	.size	angle2, 4
angle2:
	.zero	4
	.globl	angle1
	.align 4
	.type	angle1, @object
	.size	angle1, 4
angle1:
	.zero	4
	.globl	zylscale2
	.align 4
	.type	zylscale2, @object
	.size	zylscale2, 4
zylscale2:
	.zero	4
	.globl	zylscale1
	.align 4
	.type	zylscale1, @object
	.size	zylscale1, 4
zylscale1:
	.zero	4
	.globl	code02
	.type	code02, @object
	.size	code02, 1
code02:
	.zero	1
	.globl	mov6
	.type	mov6, @object
	.size	mov6, 1
mov6:
	.zero	1
	.globl	wind6
	.type	wind6, @object
	.size	wind6, 1
wind6:
	.zero	1
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC0:
	.long	1065353216
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC2:
	.long	0
	.long	1075052544
	.align 8
.LC3:
	.long	0
	.long	-1070333952
	.align 8
.LC4:
	.long	0
	.long	1073741824
	.align 8
.LC5:
	.long	0
	.long	1077149696
	.section	.rodata.cst16,"aM",@progbits,16
	.align 16
.LC7:
	.long	-2147483648
	.long	0
	.long	0
	.long	0
	.section	.rodata.cst4
	.align 4
.LC8:
	.long	1099693556
	.align 4
.LC9:
	.long	-1082130432
	.align 4
.LC10:
	.long	1103626240
	.align 4
.LC11:
	.long	1120403456
	.align 4
.LC12:
	.long	1135869952
	.align 4
.LC13:
	.long	990057071
	.align 4
.LC14:
	.long	-1124744561
	.set	.LC15,.LC4+4
	.align 4
.LC16:
	.long	1101004800
	.align 4
.LC17:
	.long	1036831949
	.align 4
.LC18:
	.long	-1110651699
	.align 4
.LC19:
	.long	-1093908038
	.align 4
.LC20:
	.long	-1093874483
	.align 4
.LC21:
	.long	1053609165
	.align 4
.LC22:
	.long	-1083808154
	.align 4
.LC23:
	.long	1050253722
	.align 4
.LC24:
	.long	-1102263091
	.align 4
.LC25:
	.long	-1094881116
	.align 4
.LC26:
	.long	-1097229926
	.align 4
.LC27:
	.long	-1090519040
	.align 4
.LC28:
	.long	-1085485875
	.align 4
.LC29:
	.long	1056964608
	.align 4
.LC30:
	.long	1097859072
	.align 4
.LC31:
	.long	1085381018
	.set	.LC32,.LC37+4
	.align 4
.LC33:
	.long	1085276160
	.align 4
.LC34:
	.long	1063675494
	.align 4
.LC35:
	.long	1041865114
	.align 4
.LC36:
	.long	1028443341
	.section	.rodata.cst8
	.align 8
.LC37:
	.long	0
	.long	-1073741824
	.section	.rodata.cst4
	.align 4
.LC38:
	.long	1087373312
	.align 4
.LC39:
	.long	1061997773
	.section	.rodata.cst8
	.align 8
.LC40:
	.long	0
	.long	-1074790400
	.align 8
.LC41:
	.long	0
	.long	1072693248
	.align 8
.LC42:
	.long	-1717986918
	.long	1071225241
	.align 8
.LC43:
	.long	-1717986918
	.long	1070176665
	.align 8
.LC44:
	.long	1202590843
	.long	1067743969
	.align 8
.LC45:
	.long	1202590843
	.long	1066695393
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
